incubator-couchdb-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Robert Dionne <dio...@dionne-associates.com>
Subject Re: (lack of) couchdb windows binaries
Date Thu, 01 Apr 2010 11:57:12 GMT
I tend to agree with you on this. If, for example, you look at Eclipse you can see it's capable
of using multiple versions of Java that might be installed on the same box. Many installers
bundle their own JRE precisely to insure they get things right. However, the current level
of Erlang and CouchDB I'd go with the latter approach for now. It sounds like you have larger
fish to fry still.

Best,

Bob




On Apr 1, 2010, at 7:51 AM, Mark Hammond wrote:

> Just to follow up on a bit of this:
> 
> On 1/04/2010 10:09 PM, Carl McDade wrote:
>> Wampserver, Xammp etc. But it does not appear to do this yet. So while YAWS,
>> Ejabbard and other software would be running on single instance of Erlang.
>> guaranteeing use of single version, CouchDB might be running on a different
>> version.
> 
> It appears the ejabberd installer for windows takes the same approach as us - the webpage
says "The installers contain all the libraries and dependencies needed to run ejabberd" and
indeed, a copy of the erlang runtime and binaries are installed directly in the ejabberd directory
- ie, it appears to not offer installing into an already installed erlang binary distribution
either.
> 
> Cheers,
> 
> Mark


Mime
View raw message